Skip to main content
GET
/
v1
/
knowledge-base
/
ingestion-jobs
/
{job_id}
/
logs
List ingestion job logs grouped by document
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/knowledge-base/ingestion-jobs/{job_id}/logs \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "logs": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "task_name": "<string>",
          "status": "<string>",
          "started_at": "2023-11-07T05:31:56Z",
          "document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "input_summary": {},
          "output_summary": {},
          "error_message": "<string>",
          "duration_ms": 123,
          "completed_at": "2023-11-07T05:31:56Z"
        }
      ],
      "title": "<string>"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

job_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
DocumentLogGroup · object[]
required
has_more
boolean
required
next_cursor
string | null